INSTALLBOOT(8)

NAME
installboot - install a bootstrap on a UFS disk

SYNOPSIS
/usr/mdec/installboot -n | -v ufsboot bootxx rawdev

DESCRIPTION
installboot is used to install a "first-stage" boot program into the boot area of a UFS disk partition, and initialize the table of block numbers the bootxx program uses to load the second-stage boot program.

The options are as follows:

-n  Do not actually write anything on the disk.

-v  Be verbose, printing out the block numbers that bootxx will use to load ufsboot.

The arguments are:

ufsboot
    the name of the second-stage boot program in the file system where the first-stage boot program is to be installed.

bootxx
    the name of the prototype file for the first stage boot program.

rawdev
    the name of the raw device in which the first-stage boot program is to be installed. This should correspond to the block device on which the file system containing ufsboot is mounted.

SEE ALSO
disklabel(8), init(8)

BUGS
installboot requires simultaneous access to the mounted file system and the raw device, but that is not allowed with the kernel securelevel variable set to a value greater than zero (the default), so installboot only works in single-user mode (or insecure mode - see init(8)).